directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Emmanuel Lecharny (JIRA)" <j...@apache.org>
Subject [jira] Closed: (DIRSERVER-1251) Update the dependencies to the latest version
Date Sat, 13 Sep 2008 15:12:44 GMT

     [ https://issues.apache.org/jira/browse/DIRSERVER-1251?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Emmanuel Lecharny closed DIRSERVER-1251.
----------------------------------------


done

> Update the dependencies to the latest version
> ---------------------------------------------
>
>                 Key: DIRSERVER-1251
>                 URL: https://issues.apache.org/jira/browse/DIRSERVER-1251
>             Project: Directory ApacheDS
>          Issue Type: Improvement
>    Affects Versions: 1.5.4
>            Reporter: Emmanuel Lecharny
>            Priority: Minor
>             Fix For: 1.5.5
>
>
> We have to update the dependencies to the latest version. Here is the list of dependencies,
with the used version, the latest available version andthe version present in the maven repo,
plus a comment. 
> Package	project version	latest version	Maven latest	comment
> junit:4.4	4.4	4.5	4.5	
> log4j:1.2.13	1.2.13	1.2.15	1.2.15	duplicate
> log4j:log4j:1.2.14	1.2.14	1.2.15	1.2.15	
> slf4j-api:1.4.3	1.4.3	1.5.2	1.5.2	
> antlr:antlr:2.7.7	2.7.7	3.1	3.0b5	
> aopalliance:aopalliance:1.0	1.0	1.0	1.0	useless
> bouncycastle:bcprov-jdk15:136	136	140	136	
> classworlds:classworlds:1.1-alpha-2	1.1-alpha-2	1.1	1.1	
> commons-cli:commons-cli:1.1	1.1	1.1	1.1	
> commons-collections:commons-collections:3.2	3.2	3.2.1	3.2.1	
> commons-daemon:commons-daemon:1.0.1	1.0.1	1.0.1	1.0.1	
> commons-dbcp:commons-dbcp:1.2.2	1.2.2	1.2.2	1.2.2	
> commons-lang:commons-lang:2.3	2.3	2.4	2.4	
> commons-logging:commons-logging:1.0.3	1.0.3	1.1.1	1.1.1	
> commons-net:commons-net:1.4.1	1.4.1	1.4.1	1.4.1	
> commons-pool:commons-pool:1.3	1.3	1.4	1.4	
> dnsjava:dnsjava:2.0.1	2.0.1	2.0.6	2.0.1	The DNSJavaNameService service provider only
builds with Java 1.6
> izpack:standalone-compiler:3.8.0	3.8.0	4.1.0	3.8.0	
> jug:jug-asl:2.0.0	2.0.0	2.0.0	2.0.0	
> ldapsdk:ldapsdk:4.1	4.1	4.17	4.1	
> opensymphony:quartz:1.6.0	1.6.0	1.6.0	1.5.2	
> org.apache.commons:commons-io:1.3.2	1.3.2	1.4	1.4	
> org.apache.derby:derby:10.3.1.4	10.3.1.4	10.4.2.0	10.4.2.0	
> org.apache.maven:maven-artifact-manager:2.0	2.0	2.0.9	2.0.9	duplicate
> org.apache.maven:maven-artifact-manager:2.0.7	2.0.7	2.0.9	2.0.9	
> org.apache.maven:maven-artifact:2.0	2.0	2.0.9	2.0.9	duplicate
> org.apache.maven:maven-artifact:2.0.7	2.0.7	2.0.9	2.0.9	
> org.apache.maven:maven-model:2.0	2.0	2.0.9	2.0.9	duplicate
> org.apache.maven:maven-model:2.0.7	2.0.7	2.0.9	2.0.9	
> org.apache.maven:maven-plugin-api:2.0.1	2.0.1	2.0.9	2.0.9	duplicate
> org.apache.maven:maven-plugin-api:2.0.7	2.0.7	2.0.9	2.0.9	
> org.apache.maven:maven-plugin-registry:2.0.7	2.0.7	2.0.9	2.0.9	
> org.apache.maven:maven-profile:2.0	2.0	2.0.9	2.0.9	duplicate
> org.apache.maven:maven-profile:2.0.7	2.0.7	2.0.9	2.0.9	
> org.apache.maven:maven-project:2.0	2.0	2.0.9	2.0.9	duplicate
> org.apache.maven:maven-project:2.0.7	2.0.7	2.0.9	2.0.9	
> org.apache.maven:maven-repository-metadata:2.0	2.0	2.0.9	2.0.9	duplicate
> org.apache.maven:maven-repository-metadata:2.0.7	2.0.7	2.0.9	2.0.9	
> org.apache.maven:maven-settings:2.0.7	2.0.7	2.0.9	2.0.9	
> org.apache.maven.wagon:wagon-provider-api:1.0-alpha-5	1.0-alpha-5	1.0-beta-4	1.0-beta-4
duplicate
> org.apache.maven.wagon:wagon-provider-api:1.0-beta-2	1.0-beta-2	1.0-beta-4	1.0-beta-4

> org.apache.mina:mina-core:1.1.6	1.1.6	2.0.0-M3	2.0.0-M3	
> org.apache.mina:mina-filter-ssl:1.1.6	1.1.6	2.0.0-M3	2.0.0-M3	
> org.apache.velocity:velocity:1.5	1.5	1.5	1.5	
> org.apache.xbean:xbean-spring:3.2	3.2	3.4.3	3.4.3	duplicate
> org.apache.xbean:xbean-spring:3.3	3.3	3.4.3	3.4.3	
> org.codehaus.plexus:plexus-container-default:1.0-alpha-8	1.0-alpha-8	1.0-alpha-48	1.0-alpha-48
duplicate
> org.codehaus.plexus:plexus-container-default:1.0-alpha-9-stable-1	1.0-alpha-9-stable-1
1.0-alpha-48	1.0-alpha-48	
> org.codehaus.plexus:plexus-utils:1.0.4	1.0.4	1.5.6	1.5.6	duplicate
> org.codehaus.plexus:plexus-utils:1.4.5	1.4.5	1.5.6	1.5.6	
> org.slf4j:jcl104-over-slf4j:1.4.3	1.4.3	1.5.2	1.5.2	
> org.slf4j:slf4j-log4j12:1.4.3	1.4.3	1.5.2	1.5.2	We should switch to slf4j-jdk14
> org.springframework:spring-beans:2.0.6	2.0.6	2.5.5	2.5.5	
> org.springframework:spring-context:2.0.6	2.0.6	2.5.5	2.5.5	
> org.springframework:spring-core:2.0.6	2.0.6	2.5.5	2.5.5	
> oro:oro:2.0.8	2.0.8	2.0.8	2.0.8	
> plexus:plexus-utils:1.0.2	1.0.2	1.0.3	1.0.3	
> tanukisoft:wrapper:3.2.3	3.2.3	3.3.1	3.2.3	

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message